/* CSS Reset */
/* Allows to easily manipulate the sizes and positioning of elements */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* Google Font */
body {
    font-family: 'Open Sans', sans-serif;
}

/* navigation bar */
/* 1 rem = 16 px (default font size) */
nav {
    padding: 1rem;
    margin-bottom: 2rem;
    border-bottom: 1px solid gray;
    list-style-type: none;
}

/* margin is best used when creating space between elements */
/* Padding is best used when creating space between and element's border and its content */
nav .nav, nav .nav-logo {
    margin: 0.5rem;
    display: inline;
    padding: 2rem;
}

/* intro section */
#intro {
    padding-left: 10%;
    padding-right: 10%;
    padding-top: 2rem;
    padding-bottom: 3rem;
    text-align: center;

}

.header {
    text-align: center;
}

/* we mostly use descendant(whitespace) and child(>) selector to target specific elemeent. */

#intro h2, #intro p {
    margin-bottom: 1rem;
    
}

#intro button {
    color: white;
    font-weight: bold;
    background-color: #c2195b;
    border-radius: 50px;
    font-size: 1rem;
    padding: 1rem;
}

/* succeed info section */
#succeed-info {
    padding-left: 10%;
    padding-right: 10%;
    padding-top: 2rem;
    padding-bottom: 3rem;
}

#succeed-info h2 {
    margin-bottom: 1rem;

}

#succeed-info h3 {
    text-align: center;
    margin-bottom: 1rem;
}

#succeed-info .card {
    display: inline-block;
    vertical-align: top;
    min-height: 175px;
    width: 30%;
    margin-left: 0.5rem;
    margin-right: 0.5rem;
}

footer {
    padding: 0.7rem;
    text-align: center;
}

footer span {
    margin-left: 0.5rem;
    margin-right: 0.5rem;
}